Test2::Harness::Run(3pm)

NAME
Test2::Harness::Run - Representation of a set of tests to run, and their options.

DESCRIPTION

ATTRIBUTES
These are set at construction time and cannot be modified.

See App::Yath::Options::Run for more documentation on these.

  FROM OPTIONS

$bool = $run->author_testing
$hashref = $run->env_vars
$bool = $run->event_uuids
$arrayref = $run->fields
$string = $run->input
$path = $run->input_file
$bool = $run->io_events
$arrayref = $run->links
$arrayref = $run->load
$hashref = $run->load_import
$bool = $run->mem_usage
$int = $run->retry
$bool = $run->retry_isolated
$string = $run->run_id
$arrayref = $run->test_args
$bool = $run->unsafe_inc
$bool = $run->use_stream

  OTHER

$hashref = $run->meta
    meta-data plugins may have attached.

METHODS

$path = $run->run_dir($workdir)
    Returns the path "$workdir/$run_id".

$hashref = $run->queue_item(\@PLUGINS)
    Gets the queue item that represents this object.

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/